#ifndef _AGNIX_NET_FRB_H_
#define _AGNIX_NET_FRB_H_

#define FRB_DEST_TYPE_LOCAL		0
#define FRB_DEST_TYPE_BROADCAST		1
#define FRB_DEST_TYPE_MULTICAST		2
#define FRB_DEST_TYPE_OTHER		3
    
struct adi_netdev_s;

struct frb_s {
    u8 *frb_data;
    u16 frb_len;
    u16 frb_proto;
    u16 frb_offset;
    u16 frb_proto_type;
    int frb_dest_type;

    struct adi_netdev_s *frb_dev;
};

u8 *frb_push(struct frb_s *frb, int size);
u8 *frb_pop (struct frb_s *frb, int size);
u8 *frb_data(struct frb_s *frb);
int frb_create (struct frb_s *frb);
int frb_destroy(struct frb_s *frb);
int frb_reverse(struct frb_s *frb);

#endif
