/*
 * kernel_arch/i386/pm.c
 *
 * Copyright (c) 2003-2005 Lukasz Dembinski <dembol@nasa.com.pl>
 * All Rights Reserved
 * 
 * Date:	2005/03
 * Author: 	Lukasz Dembinski
 * Info:	pm.c core file
 * Contact:	mailto: <dembol@nasa.com.pl>
 *
 */

#include <agnix/agnix.h>
#include <agnix/init.h>

int apm_init(void);

int __init pm_init(void)
{
#if CONFIG_BIOS_APM
    apm_init();
#endif

    return 0;
}
