/*
 * kernel_drivers/adi_block/blkreq.c
 *
 * Copyright (c) 2003-2004 Lukasz Dembinski <dembol@nasa.com.pl>
 * All Rights Reserved
 * 
 * Date:	2004/12
 * Author: 	Lukasz Dembinski
 * Info:	blkreq.c core file
 * Contact:	mailto: <dembol@nasa.com.pl>
 *
 */

#include <agnix/agnix.h>
#include <agnix/irq.h>
#include <agnix/adi/adi.h>
#include <agnix/memory.h>
#include <agnix/ioport.h>
#include <agnix/list.h>
#include <agnix/spinlock.h>
#include <agnix/console.h>

#define MOD_NAME		"BLKREQ: "

int blkreq_build(struct adi_blkreq_s *blkreq, u16 req_dev, u32 req_block, u32 req_len)
{
    struct adi_blkdev_s *blkdev;
    
    if ((blkdev = adi_get_blkdev(req_dev)) == NULL) {
	printk(MOD_NAME "unknown device %x\n", req_dev);
	return -1;
    }
    
    /* TODO */
    
    return 0;
}

int blkreq_queue(struct adi_blkreq_s *blkreq)
{
    /* TODO */

    return 0;
}
