/*
 * kernel_net/layer_2/eth/eth_devices.c
 *
 * Copyright (c) 2003-2005 Lukasz Dembinski <dembol@nasa.com.pl>
 * All Rights Reserved
 * 
 * Date:	2005/06
 * Author: 	Lukasz Dembinski
 * Info:	eth_devices.c core file
 * Contact:	mailto: <dembol@nasa.com.pl>
 *
 */

#include <agnix/agnix.h>
#include <agnix/adi/adi.h>
#include <agnix/net/net.h>
#include <agnix/console.h>

#define MOD_NAME	"NET: "

int register_eth_device(struct adi_netdev_s *netdev)
{
    printk(MOD_NAME "registering %s device\n", netdev->if_name);

    return 0;
}
