#ifndef _AGNIX_DRIVERS_CHARDRV_H_
#define _AGNIX_DRIVERS_CHARDRV_H_

#define ADI_CHRDEV_MAX	0xffff

struct adi_chrdev_s {
    char dev_name[DEV_MAX_NAME_LEN];
    u16 dev_nr;
    struct file_ops_s *file_ops;
};

int adi_console_init(void);
int adi_chrdrv_init(void);
int adi_register_chrdev(struct adi_chrdev_s *);
struct adi_chrdev_s *adi_chrdev_find_by_name(char *name);

#endif
