#ifndef _AGNIX_NET_IP_H_
#define _AGNIX_NET_IP_H_

#define IP_ALEN_DW	4

int net_layer_3_ip_init(void);

struct ip_hdr_s {
	u8	ihl:4,
		version:4;
	u8	tos;
	u16	tot_len;
	u16	id;
	u16	frag_off;
	u8	ttl;
	u8	protocol;
	u16	check;
	u32	saddr;
	u32	daddr;
};

struct ip_stats_s {
        u32 	total_packets;
	u32	bad_checksum_packets;
};

#include <agnix/net/layer_3/ip_checksum.h>

int ip_ioctl_set_ifaddr(struct adi_netdev_s *, struct net_addr_s *);
int ip_ioctl_set_debug(int enable);
int ip_ioctl_get_debug(void);
int ip_print_stats(void);

#endif
